/***************************************************************************
 *   Copyright (C) 2006 by Helio Chissini de Castro   *
 *   helio@mandriva.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <cstdio>
#include <cstdlib>
#include <qapplication.h>
#include <qlineedit.h>
#include "askpassqt.h"

AskPassQt::AskPassQt( QWidget* parent, const char* name, bool modal, WFlags fl )
	: AskPassQtBase( parent, name, modal, fl ), status( 1 )
{
}

AskPassQt::~AskPassQt() { /* NOOP */ }

void AskPassQt::okSlot()
{
    puts( lePasswd->text() );
    status = 0;
    close();
}

void AskPassQt::quitWithStatus()
{
    exit(status);
}
